## mess 0.144

=== debian/changelog ===
mess (0.144-1) unstable; urgency=low

  [ Emmanuel Kasper ]
  * New upstream release, switching to mess.org zipfile as upstream
    tarball
  * mess and mame-tools now built from the mess.org zipfile, independently from
    mame
  * Add Free Desktop compliant png icons of various sizes taken from
    the hydroxygen iconset

  [ Jordi Mallach ]
  * Fix syntax errors in DEP5 copyright file (lintian).
  * Use a versioned copyright Format specification field.
  * Use new section “metapackages” for transitional packages.
  * Remove references to GNU/Linux and MAME sources from the
    debian/copyright header.
  * Add build variables for s390x.
  * Use .xz tarballs as it cuts ~ 20MB for the upstream sources.

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Dec 2011 21:55:48 +0100

mame (0.143-3) unstable; urgency=low

  * Avoid ignoring "make clean" errors.
  * There is no need to override dh_builddeb: debian/source/options
    already does it for us.
  * Add necessary Breaks for sdlmame and sdlmame-tools to ensure smooth
    upgrades from Ubuntu and other unofficial repositories (closes: #635858).

 -- Jordi Mallach <jordi@debian.org>  Thu, 04 Aug 2011 17:35:44 +0200

mame (0.143-2) unstable; urgency=low

  * Fix builds on MIPS, adding -Umips to ARCHOPTS (Emmanuel Kasper).
  * Make xmess-sdl and xmess-x Architecture: all.
  * Make mess-data's short description unique.

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Jul 2011 00:50:07 +0200

mame (0.143-1) unstable; urgency=low

  [ Emmanuel Kasper ]
  * New upstream release
  * Start by default in windowed mode
  * Add missing resources directories to match our default mess.ini

  [ Félix Arreola Rodríguez ]
  * Remove kfreebsd-build.patch (fixed upstream)

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Jul 2011 23:45:22 +0200

mame (0.142-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Add the necessary variables to fix s390 and sparc builds (they are big
    endian and have no targetted DRC implementation).
  * Add variables for mips and ia64.
  * Modify get-orig-source to also fetch MESS sources and build a new
    dpkg source component tarball.
  * Add a new mess binary package and transitional packages for xmess-*
    (closes: #507932). 
  * Setup the source dir to enable building mess even if its source is in
    a mess subdir, by creating necessary symlinks and directory renames
    before the build, and restoring everything on clean.
  * Rework debian/rules as needed to make mess fit in.
  * Create a minimal mess.ini (identical to mame.ini).
  * Add castool and imgtool to mame-tools.
  * Improve desktop file and translate it to Catalan.

  [ Cesare Falco ]
  * Initial merge from Ubuntu package.
  * Some imports from corresponding debian/ files from Ubuntu package:
    - control: sdlmame/sdlmame-tools transitional packages
      (upgrading from Ubuntu 10.04 LTS still needs them)
    - rules:
      + override dh_installchangelogs instead of dh_auto_install
      + override_dh_install, exclude keymaps for OSX
      + renamed clean to override_dh_auto_clean, moved up
      + strip CR from source files
    - watch: added URL for MESS
    - mame-tools: removed unidasm, tool intended for development only
    - manpages for mess, castool and imgtool

  [ Emmanuel Kasper ]
  * Remove executable bit set by windows on all mess hash files 
  * Fix clean rule on a clean tree.
  * Add copyright information for MESS sources.
  * Remove symlinking of megatech.xml.
  * Add README.Debian for the mess binary package.
  * Create a mess-data package for mess architecture independent files

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 May 2011 16:37:27 +0200

mame (0.142-1) unstable; urgency=low

  [ Emmanuel Kasper ]
  * New upstream release
  * Set NOWERROR=1 to allow compiling with gcc-4.6
  * Remove fix_powerpc_build.patch, as upstream has taken it in this release
  * Add gnome-video-arcade front end as a suggested package

  [ Félix Arreola Rodríguez ]
  * Add kfreebsd-build.patch to quilt series, to fix build on kfreebsd

  [ Jordi Mallach ]
  * Remove unneeded and bogus addition of --with-quilt to the dh invocation.
  * Add Cesare Falco (long time Ubuntu maintainer) to Uploaders, and wrap
    them into multiple lines.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 May 2011 21:06:50 +0200

mame (0.141-3) unstable; urgency=low

  [ Emmanuel Kasper ]
  * Add make variables to build on GNU/kFreeBSD

  [ Jordi Mallach ]
  * Add fix_powerpc_build.patch: Fix an incorrectly declared ifdef that
    made big-endian builds fail.
  * Set NOASM=1 globally, and unset for the targets that are known to have
    a native ASM implementation (x86 and ppc). Builds for most other
    Debian architectures will fail due to memory alignment issues, though.
  * Add a minimal mame.ini, only showing the default paths options and
    other important options like "video" or "multithreading", and install
    it as a proper conffile.
  * Remove mame.postinst and mame.prerm, to stop generating a mame.ini
    file on postinst, which was never being updated on upgrades.
  * If the generated mame.ini in 0.141-1 or 0.141-2 is not modified,
    remove mame.ini to avoid a dpkg conffile prompt.
  * Autogenerate a mame.ini using mame -createconfig after the build is
    done, and install it as an example.
  * Change all uses of Conflicts to Breaks.
  * Bump debhelper compat version to 8.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Use bzip2 for the debian tar.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Fri, 22 Apr 2011 18:33:44 +0200

mame (0.141-2) experimental; urgency=low

  [ Emmanuel Kasper ]
  * Update VCS address to point to Alioth
  * Improve handling of upgrade in case of existing /etc/mame/mame.ini
  * Documentation improvements
  * Remove mame-regrep, mame-split, mame-src2html and mame-srcclean from
    mame-tools as suggested by upstream
  * Link with --as-needed LDFLAGS
  * Debian Games Team as package maintainer

  [ Jordi Mallach ]

