## mess 0.146

=== debian/changelog ===
mess (0.146-2) unstable; urgency=low

  * Default gcc optimize flag switched to -O2 (-O3 segfaults on i386)
  Closes: #681915

 -- Emmanuel Kasper <emmanuel@libera.cc>  Mon, 02 Jul 2012 16:03:03 +0200

mess (0.146-1) unstable; urgency=low

  [ Emmanuel Kasper ]
  * New upstream release
  * Add DM-Upload-Allowed: yes to debian/control
  * Switch to http://www.progettosnaps.net/MESS/src/ for get-orig-source
  * Drop patches to link with flac and jpeg system lib: this has been pushed
    upstream by Cesare Falco.
  * Remove fix_mame_manpage_section.patch as it was unused

  [ Jordi Mallach ]
  * Drop d/source/format and use standard compression for debian tar.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 Jun 2012 11:10:20 +0200

mess (0.145-1) unstable; urgency=low

  [ Emmanuel Kasper ]
  * New upstream release
  * Yet another batch of syntax errors in DEP5 copyright file corrected
  * Add 64x64 xpm icon for mess
  * Use NetBSD distfiles as temporary source for downloading the source code
  * Add patch to disable static linking of libflac and libjpeg
  * Add BSD 3 clause license text in debian/copyright
  * Group per-author copyright information when the same license is used

  [ Jordi Mallach ]
  * Fix Vcs-* URLs.
  * gnu_fixes.patch: Add a check for __GNU__ to fix builds on the Hurd,
    and create gnu TARGETOS definiton that defines NO_AFFINITY_NP.
  * Stop setting TARGETOS to unix in d/rules. It should be autodetected,
    and set to linux.
  * Make get-orig-source target drop tarballs in the current directory,
    as policy mandates.
  * Point to the 1.0 machine-readable copyright format spec.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 May 2012 01:39:07 +0200
