=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
            Emmanuel Kasper <emmanuel@libera.cc>,
            Ludovic Lechapt <ludomatic@gmail.com>,
            Jordi Mallach <jordi@debian.org>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8),
                libexpat1-dev,
-               libsdl1.2-dev,
                libgconf2-dev,
                libgtk2.0-dev,
+               libflac-dev,
+               libjpeg8-dev,
+               libsdl1.2-dev,
                libsdl-ttf2.0-dev,
-               libxinerama-dev,
                zlib1g-dev
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-games/mame.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/mame.git
+Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/pkg-games/mess.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mess.git
 Homepage: http://mess.org/
 XS-Autobuild: yes
 
@@ -80,16 +82,16 @@
  This package provides the MESS hash files, keymaps and artwork.
 
 Package: xmame-tools
-Section: non-free/metapackages
+Section: non-free/oldlibs
 Priority: extra
-Depends: mame, ${misc:Depends}
+Depends: mame-tools, ${misc:Depends}
 Architecture: all
 Description: Transitional package for mame-tools
  This is a transitional package for mame-tools, and can be safely removed
  after the installation is complete.
 
 Package: xmess-sdl
-Section: non-free/metapackages
+Section: non-free/oldlibs
 Priority: extra
 Depends: mess, ${misc:Depends}
 Architecture: all
@@ -98,7 +100,7 @@
  after the installation is complete.
 
 Package: xmess-x
-Section: non-free/metapackages
+Section: non-free/oldlibs
 Priority: extra
 Depends: mess, ${misc:Depends}
 Architecture: all
@@ -107,7 +109,7 @@
  after the installation is complete.
 
 Package: sdlmame-tools
-Section: non-free/metapackages
+Section: non-free/oldlibs
 Priority: extra
 Depends: mame-tools, ${misc:Depends}
 Architecture: amd64 i386
