=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
     SUBTARGET=mame \
     OSD=sdl \
     CROSS_BUILD_OSD= \
-    TARGETOS=unix \
     NOASM=1 \
     PREFIX= \
     SUFFIX= \
@@ -31,16 +30,18 @@
     MACOSX_USE_LIBSDL= \
     BUILD_EXPAT= \
     BUILD_ZLIB= \
+    BUILD_JPEGLIB= \
+    BUILD_FLAC= \
     SYMBOLS= \
     SYMLEVEL= \
     DUMPSYM= \
     PROFILE= \
     MAP= \
     VERBOSE= \
-    OPTIMIZE=3 \
+    OPTIMIZE=2 \
     LDFLAGS="-Wl,--as-needed" \
     LDFLAGSEMULATOR="-Wl,--as-needed" \
-    NOWERROR=1
+    NOWERROR=1 \
 
 DEB_MESS_OPTS = \
     $(DEB_MAME_OPTS) \
@@ -140,14 +141,15 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) -j3 $(DEB_MESS_OPTS) all
+	$(MAKE) -j5 $(DEB_MESS_OPTS) all
 	$(CURDIR)/mess -createconfig
 	mv mess.ini default.mess.ini
 
 override_dh_auto_clean:
 	echo "Starting clean process..."
 	$(MAKE) $(DEB_MESS_OPTS) clean
-	[ ! -f default.mess.ini ] || rm default.mess.ini
+	rm -rf default.mess.ini
+	rm -rf obj
 
 # dh_installchangelogs doesn't know about whatsnew.txt,
 # so we need to make an explicit call
@@ -171,7 +173,7 @@
 
 MESS_PACKAGE = mess
 MESS_FILEBASE = $(MESS_PACKAGE)$(VERSION)
-MESS_URL = http://mess.redump.net/_media/downloads:
+MESS_URL = http://www.progettosnaps.net/MESS/src/
 
 AGENT = Debian MAME/MESS Packagers <mame@packages.debian.org>
 TMPDIR := $(shell mktemp --dry-run --directory -p .)
@@ -197,7 +199,7 @@
 	    | sed 's/\ /\\\ /g' \
 	    | xargs sed -i "s/\r$$//"
 	tar -C $(TMPDIR) -cvf - $(MESS_PACKAGE)-$(VERSION) | \
-	    xz > ../$(MESS_PACKAGE)_$(VERSION).orig.tar.xz
+	    xz > $(MESS_PACKAGE)_$(VERSION).orig.tar.xz
 	rm -f $(MESS_FILEBASE)s.zip
 
 	rm -rf $(TMPDIR)
